The Department of Parks, Recreation, and Tourism Management

Technical Requirements

Minimum Technical Requirements:

  1. Access to Email and the Internet
  2. Internet browser - click here for browser info
  3. Current version of an Operating System click here for O/S info, a word processing package, a spreadsheet package, presentation software, and the Adobe Flash Player (http://www.adobe.com/downloads.html)
  4. Microphone for group presentations; the web camera is optional
  5. Since this course involves sending and receiving large files of information and meeting online, you will find that a high speed Internet connection is advantageous.

Hardware Resources

  • PC Windows XP, Windows Vista or Windows 7, Windows 8
  • Macintosh MacOS X 10.6 - 10.8
  • RAM 2 GB
  • Processor
  • Intel Core™ Duo 1.83GHz or faster processor
  • Windows - Intel® Pentium® IV 1.4GHz or faster processor (or equivalent)
  • Hard Drive a minimum of 5 GB of free space
  • Modem Cable modem or DSL is highly recommended


Blackboard Requirements: 

Listed Below are the Blackboard supported browser information

Windows Operating System and Browser

  • Windows 8 (32, 64 bit): Internet Explorer 10, Firefox (ESR and Final Release Channel), or Google Chrome 20+ (Stable Channel)
  • Windows 7 (32, 64 bit): Internet Explorer 8 - 10, Firefox (ESR and Final Release Channel), or Google Chrome 20+ (Stable Channel)
  • Windows Vista (32, 64 bit): Internet Explorer 8 & 9, Firefox (ESR and Final Release Channel), or Google Chrome 20+ (Stable Channel)
  • Windows XP: Internet Explorer 8, Firefox (ESR and Final Release Channel), or Google Chrome 20+ (Stable Channel)

Macintosh Operating System and Browsers

  • Mac OSX 10.8 Mountain Lion: Safari 6.0, Safari 5.1, Firefox (ESR and Final Release Channel), or Google Chrome 20+ (Stable Channel)
  • Mac OSX 10.7 Lion: Safari 6.0, Safari 5.1, Firefox (ESR and Final Release Channel), or Google Chrome 20+ (Stable Channel)
  • Mac OSX 10.6 Snow Leopard: Safari 5.1, Safari 5.0, Safari 4.0, Firefox (ESR and Final Release Channel), or Google Chrome 20+ (Stable Channel)
  • Mac OSX 10.5 is not supported in SP11

Browser Plugins

  • Blackboard Learn requires the latest version of Sun JRE 7. JRE 6 may work, but could result in unexpected behavior. The JRE can be downloaded from http://www.oracle.com/technetwork/java/javase/downloads/index.html
  • JRE (Java Runtime Environment) is not required for users to access and interact with the Learn platform with the exception of the following features and tools:
    • Learn collaboration tools virtual classroom and chat
    • Multiple-file uploads
    • Math equation editor
    • Default text editor shipped with Learn 9.1 SP9 and earlier

Browser Check

  • It is highly recommended that you perform a browser before you login in to check and see if your computer is properly configured to use the Blackboard Learning System. Click here to perform a browser check.